#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[])
{
    long s_imp = 0;     /*déclaration de la variable somme*/
    int k;              /*variable de boucle*/
    int vmax;           /*valeur maximale*/
    int n = 0;          /*nombres de terme à ajouter*/

    system("cls");      /*effacement de l'ecran*/

    printf("Ce programme calcule la somme des nombres impairs\n");
    printf("depuis 1 jusqu'a une valeur choisie par vous (1 - 30000).\n\n");
    printf("Saisir la valeur limite : ");
    scanf("%d", &vmax);

    for( k = 1 ; k <= vmax; k = k+2 )
    {
         s_imp = s_imp + k ;
         n++;
         }

    printf("\n\nOn additionne les %d nombres impairs depuis 1 jusqu'a %d.", n, vmax);
    printf("\n\nLa somme de ces nombres vaut : %ld", s_imp);

    getch();
    return(0);
}
